Update a Ring Group

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the below method, details of an already created ring group can be updated.

curl --request PUT \
  --url https://api.acefone.co.uk/v1/ring_group/id \
  --header 'accept: application/json' \
  --header 'authorization: Authorization' \
  --header 'content-type: application/json'

Path Parameter

Variable NameDescriptionData Type
idUnique ID of the ring groupString

Body Parameters

Variable NameDescriptionData Type
nameName of the ring groupString
descriptionDescription for ring groupString
ring_strategyStrategy followed by handling calls for ring groupFloat
prefixCaller ID prefix associated with ring groupFloat
skip_agentShould skip busy extensions in ring groupFloat
timeout_destination_typeType of destination where call should be routed (when on one in the ring group answers the call)String
timeout_destination_idUnique ID of destination where call should be routed (when on one in the ring group answers the call)Float
membersRing group members/destination associated with ring groupObject
typeSupported destinations type (extensions, specific numbers, IP addresses)String
numberCalls can be routed to a specific number for example 18XXXXXXXXFloat
timeoutTime in seconds for which call should ringFloat
ipIP address (should be valid sip proxy IP)String
enable_sticky_agenFloat
sticky_time_daysFloat
sticky_time_hoursFloat

Response

Variable NameDescriptionData Type
successRequest success statusBoolean
messageMessage corresponding success statusString
Path Params
string
required
Body Params
string
required

Name of the ringgroup

string
required

Description for ringgroup

number
required

Strategy to be followed by handling calls for ringgroup

number
required

Caller ID prefix to be associated with prefix

number
required

Should skip busy extensions in ringgroup

string
required

Type of destination where call should be routed when on one in the ringgroup answers the call.

number
required

Unique ID of destination where call should be routed when on one in the ringgroup answers the call

members
object
required

Ringgroup members/destination associated with ringgroup

number
required
number
number
Headers
string
required
Responses

500

500 response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json